"use strict";

module.exports = {
  collections: [{
    name: 'posts',
    label: 'Blog Posts',
    label_singular: 'Post',
    description: 'The blog posts.\n',
    folder: 'content/posts',
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}',
    create: true,
    fields: [{
      label: 'Draft?',
      name: 'draft',
      widget: 'boolean',
      default: false,
      required: true
    }, {
      label: 'Blog Title',
      name: 'title',
      widget: 'string',
      tagname: 'h1'
    }, {
      label: 'Slug Path (i.e. /post/this-example-post) [optional]',
      name: 'path',
      widget: 'string',
      required: false
    }, {
      label: 'Publish Date',
      name: 'date',
      widget: 'datetime',
      format: 'YYYY-MM-DD hh:mma'
    }, {
      label: 'Post',
      name: 'body',
      widget: 'markdown'
    }, {
      label: 'Blog Entry Author',
      name: 'author',
      widget: 'relation',
      collection: 'authors',
      searchFields: ['name', 'description'],
      valueField: 'tag',
      default: 'ralves'
    }]
  }, {
    name: 'authors',
    label: 'Authors',
    folder: 'content/authors',
    extension: 'json',
    description: 'Author descriptions',
    identifier_field: 'tag',
    slug: '{{slug}}',
    create: true,
    fields: [{
      label: 'Tag(ie: talves)',
      name: 'tag',
      widget: 'string',
      hint: 'Lowercase author id'
    }, {
      name: 'info',
      label: 'Author Information',
      label_singular: 'Information',
      widget: 'object',
      fields: [{
        label: 'Name',
        name: 'name',
        widget: 'string',
        hint: 'First and Last'
      }, {
        label: 'Description',
        name: 'description',
        widget: 'markdown'
      }]
    }]
  }]
};